import { combineReducers } from 'redux';
import { connectRouter } from 'connected-react-router';

import history from '../../utils/history';
import languageProviderReducer from '../../components/LanguageProvider/reducer';
import product from './productReducer'


export default function createReducer(injectedReducers = {}) {
  const rootReducer = combineReducers({
    language: languageProviderReducer,
    router: connectRouter(history),
    ...injectedReducers,
    product: product,
  });

  return rootReducer;
}
