import * as React from 'react';
import { Switch, Route } from 'react-router-dom';
import { hot } from 'react-hot-loader/root';

import NotFoundPage from '../../../NotFoundPage/Loadable';

import GlobalStyle from '../../../../global-styles';
import Header from '../../../../components/Header';
import PaginationTop from '../../../../components/Pagination'
import DataTable from '../../../../components/TableList'
import {connect} from 'react-redux'
import { GET_PRODUCT } from '../../../../Redux/Actions/actionType';


const productHead = [
  { id: 1, name: 'Product' },
]

interface stateComponent {
  tableHead: any,
}
interface IProps {
  productdata: any,
  product: any,
  getProduct: any,
}
class Products extends React.Component<IProps, stateComponent> {
  constructor(props) {
    super(props)
    this.state = {
      tableHead: productHead,
    }
  }

  componentDidMount(){
    this.props.getProduct();
  }
  render() {
    console.log("hello",this.props.product)
    return (
      <div>
        <Header
          heading="Products"
          subTitle="Make changes to Product here"
          btnName="Add Product"
          data={this.props.product}
        />
        <PaginationTop />
        <DataTable
          data={this.props.product}
          head={this.state.tableHead}
        />
        <GlobalStyle />
      </div>
    );
  }
}
 const mapStateToProps = (state) => {
  return {
    product: state.product
  }
}
 const mapDispatchToProps = (dispatch) => {
  return {
    getProduct: ()=>{
      dispatch({type:GET_PRODUCT})
    }
  }
}
export default connect(mapStateToProps,mapDispatchToProps)(Products);
