import React, {useState} from 'react';
import {useHistory} from "react-router-dom";
import {
    MixedWidget4,
    BaseTablesWidget1,
    BaseTablesWidget2,
    BaseTablesWidget6,
    StatsWidget11,
    StatsWidget10,
    StatsWidget12,
    // StatsWidget13,
    ListsWidget8,
    ListsWidget10,
    ListsWidget14,
    AdvanceTablesWidget9,
} from "../widgets";
import {toAbsoluteUrl} from "../../_helpers";
import SVG from "react-inlinesvg";

export function Demo3Dashboard() {
    const [educatorSearched, setEducatorSearched] = useState(false);
    let history = useHistory();
    const handleChange = (value) => {
        setEducatorSearched(value);
    };

    function handleFilter() {
        if (educatorSearched === '') return false;
        console.log('hello', educatorSearched);
        history.push('/educator-list', educatorSearched)
    }

    return (
        <>
            {/* begin::Dashboard */}

            {/* begin::Row */}
            <div className="row" style={{display: 'grid'}}>
                <h2>Learner Dashboard</h2>
                <div className="input-group input-group-lg col-md-8" style={{marginBottom: '10px'}}>
                    <input type="text" className="form-control form-control-lg h-60px"
                           placeholder="Search For Edcators"
                           aria-label="Search For Edcators"
                           onChange={evt =>
                               handleChange(evt.target.value)
                           }
                           aria-describedby="inputGroup-sizing-sm"/>
                    <div className="input-group-append">
                            <span className="input-group-text" id="basic-addon2">
                                <button className="btn-default request_btn"
                                        onClick={() => handleFilter()}>
                                     <SVG src={toAbsoluteUrl('/media/svg/icons/Text/Filter.svg')}></SVG>
                                </button>
                            </span>
                    </div>
                </div>
            </div>
            {/* end::Row */
            }

            {/* begin::Row */
            }
            <div className="row">
                <div className="col-xl-12">
                    <div className="row">
                        <div className="col-xl-6">
                            <StatsWidget10
                                className="gutter-b"
                                symbolShape="circle"
                                baseColor="danger"
                                data={{
                                    title: 'Requests From Educators',
                                    svgURL: '/media/svg/icons/Communication/Sending mail.svg',
                                    count: '25'
                                }}
                            />
                        </div>
                        <div className="col-xl-6">
                            <StatsWidget10
                                className="gutter-b"
                                symbolShape="circle"
                                baseColor="info"
                                data={{
                                    title: 'Active Courses Runing',
                                    svgURL: '/media/svg/icons/Communication/Address-card.svg',
                                    count: '350'
                                }}
                            />
                        </div>
                    </div>
                    <div className="row">
                        <div className="col-xl-6">
                            <StatsWidget10
                                className="gutter-b"
                                symbolShape="circle"
                                baseColor="warning"
                                data={{
                                    title: 'Monetory Trasaction Done',
                                    svgURL: '/media/svg/icons/Communication/Add-user.svg',
                                    count: '+222'
                                }}
                            />
                        </div>
                        <div className="col-xl-6">
                            <StatsWidget10
                                className="gutter-b"
                                symbolShape="circle"
                                baseColor="primary"
                                data={{
                                    title: '4th Count',
                                    svgURL: '/media/svg/icons/Shopping/Cart3.svg',
                                    count: '+111'
                                }}
                            />
                        </div>
                    </div>
                </div>
                {/* <div className="col-xl-6">
                    <ListsWidget14 className="gutter-b card-stretch"/>
                </div> */}
            </div>
            {/* end::Row */
            }

            {/* begin::Row */
            }
            {/*<div className="row">
                <div className="col-lg-12 col-xxl-12">
                    <AdvanceTablesWidget9 className="card-stretch gutter-b"/>
                </div>
            </div>*/
            }
            {/* end::Row */
            }

            {/* begin::Row */
            }
            {/* <div className="row">
                <div className="col-xl-6">
                    <ListsWidget10 className="card-stretch gutter-b"/>
                </div>
                <div className="col-xl-6">
                    <BaseTablesWidget1 className="card-stretch gutter-b"/>
                </div>
            </div>*/
            }
            {/* end::Row */
            }

            {/* begin::Row */
            }
            {/*  <div className="row">
                <div className="col-lg-4">
                    <ListsWidget8 className="card-stretch gutter-b"/>
                </div>
                <div className="col-lg-8">
                    <BaseTablesWidget2 className="card-stretch gutter-b"/>
                </div>
            </div>*/
            }
            {/* end::Row */
            }

            {/* end::Dashboard */
            }
        </>
    )
        ;
}
