/* eslint-disable no-script-url,jsx-a11y/anchor-is-valid */
import React, {useMemo, useEffect} from "react";
import objectPath from "object-path";
import ApexCharts from "apexcharts";
import SVG from "react-inlinesvg";
import {toAbsoluteUrl} from "../../../_helpers";
import {useHtmlClassService} from "../../../layout";
import {KTUtil} from "../../../_assets/js/components/util";

export function StatsWidget10({className, symbolShape, baseColor, data}) {
    return (
        <>
            {/* begin::Stats Widget 10 */}
            <div className={`card card-custom ${className}`}>
                {/* begin::Body */}
                <div className="card-body p-0">
                    <div className="d-flex align-items-center justify-content-between card-spacer flex-grow-1">
            <span
                className={`symbol ${symbolShape} symbol-50 symbol-light${baseColor} mr-2`}
            >
              <span className="symbol-label">
                <span className={`svg-icon svg-icon-xl svg-icon-${baseColor}`}>
                  <SVG
                      src={toAbsoluteUrl(data.svgURL)}
                  ></SVG>
                </span>
              </span>
            </span>
                        <div className="d-flex flex-column text-right">
              <span className="text-dark-75 font-weight-bolder font-size-h3">
                {data.count}
              </span>
                            <span className="text-muted font-weight-bold mt-2">{data.title}</span>
                        </div>
                    </div>
                </div>
                {/* end::Body */}
            </div>
            {/* end::Stats Widget 10 */}
        </>
    );
}
