import React from 'react';
import { Grid, GridItem } from '@patternfly/react-core';
import { SearchInput, Button } from '@patternfly/react-core';
import { Link } from 'react-router-dom'
import { H2, H6, Div } from './styles/HeaderStyle'



interface statecomponent {
    value: any,
    newItem: any,
}
interface IProps {
    btnName: string,
    heading: string,
    subTitle: string,
    data: any,
}

class Header extends React.Component<IProps, statecomponent>{

    constructor(props) {
        super(props);
        this.state = {
            value: '',
            newItem: [],
        };
    }

    handleChange = (value, event) => {
        this.setState({
            value: value
        });
    };

    handleAddProduct = () => {

    }

    handleDeleteProduct = (index) => {
        let newItem = this.props.data.splice(index, 1)
        this.setState({ newItem })
    }
    render() {
        return (
            <>
                <Grid style={{ marginTop: "15px" }} sm={3} md={3} lg={3} xl2={3}>
                    <GridItem span={6} sm={6} md={6} lg={6} xl={6} xl2={6}>
                        <H2>{this.props.heading}</H2>
                        <H6>{this.props.subTitle}</H6>
                    </GridItem>
                    <GridItem span={3} sm={3} md={3}>

                        <SearchInput
                            style={{ marginTop: "10px" }}
                            placeholder='Search here'
                            value={this.state.value}
                            onChange={this.handleChange}
                            onClear={(evt) => this.handleChange('', evt)}
                        />

                    </GridItem>
                    <GridItem span={3} sm={3} md={3}>
                        <Div>
                            <Button variant="secondary" style={{ borderRadius: '5px' }} >
                                <Link to="/product-configration/add"
                                    style={{ textDecoration: "none" }}
                                >{this.props.btnName}</Link>
                            </Button>
                            <Button variant="danger" style={{ margin: '10px', borderRadius: '5px' }}
                                onClick={() => this.handleDeleteProduct(this.props.data)}
                            >Delete</Button>
                        </Div>
                    </GridItem>
                </Grid>
            </>
        );
    }
}

export default Header;
